<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*" import="java.util.*" %>
<%
String message = null;
Connection con = null;
ArrayList<String[]> ary = null;

try{
	//JDBCドライバクラスの指定
	String drivername = "com.mysql.jdbc.Driver";

	//データベースを指定
	String url = "jdbc:mysql://localhost:3306/books?characterEncoding=utf8";

	//ユーザー名
	String username = "root";

	//パスワード
	String password = "";

	//指定したドライバクラスを読み込み
	Class.forName(drivername);

	//データベースに接続
	con = DriverManager.getConnection(url, username, password);

	//Statementオブジェクトを生成
	Statement st = con.createStatement();

	//SQL文を生成
	String sql = "SELECT * FROM users";

	//SQL文を実行
	ResultSet rs = st.executeQuery(sql);

	//結果を格納するArrayListオブジェクトを用意
	ary = new ArrayList<String[]>();

	//結果を取得する
	while(rs.next()){
		String[] data = new String[4];

		data[0] = rs.getString("Id");
		data[1] = rs.getString("UserName");
		data[2] = rs.getString("Password");
		data[3] = rs.getString("Name");
		ary.add(data);
	}

	//ResutlSetオブジェクトを切断
	rs.close();
}catch(Exception e){
	//エラーメッセージをセット
	message = "データベースに接続できませんでした。";
}finally{
	try{
		//データベースに接続されていれば切断する
		if(con != null){
			con.close();
		}
	}catch(Exception e){
		message = "エラーが発生しました。";
	}
}
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ユーザーテーブル</title>
</head>
<body>
<%
	if(message != null){
%>
		<%= message %>
<%
	}else{
%>
	<h2>ユーザー情報一覧</h2>
	<table border="1">
		<tr>
			<th>ユーザーID</th><th>ユーザー名</th><th>パスワード</th><th>氏名</th>
		</tr>
	<%
		for(String[] dt: ary){
	%>
		<tr>
			<td><%=dt[0] %></td><td><%=dt[1] %></td><td><%=dt[2] %></td><td><%=dt[3] %></td>
		</tr>
	<%
		}
	%>
	</table>
<%
	}
%>
</body>
</html>